Get a public client profile.
curl --request GET \
--url https://api.example.com/api/v0/companies/{company_ref}/profileimport requests
url = "https://api.example.com/api/v0/companies/{company_ref}/profile"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/companies/{company_ref}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"handle": "<string>",
"logo": "<string>",
"liveRepositories": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeframe": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"currencyCode": "<string>",
"totalRewardPot": "<string>"
}
],
"completedRepositories": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeframe": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"currencyCode": "<string>",
"totalRewardPot": "<string>"
}
],
"repositories": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeframe": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"currencyCode": "<string>",
"totalRewardPot": "<string>"
}
],
"completedReviews": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"report": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeframe": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"currencyCode": "<string>",
"totalRewardPot": "<string>"
}
],
"about": "<string>",
"website": "<string>",
"github": "<string>",
"twitter": "<string>",
"lastReview": 123,
"totalRewardPot": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}Companies
Get a public client profile.
Access control rules
- Publicly accessible.
GET
/
api
/
v0
/
companies
/
{company_ref}
/
profile
Get a public client profile.
Path Parameters
company ID or handle
Reference to a resource, either by id or handle (username).
Response
Company details
Public company profile.
Bounty or competition with any of the following statuses: upcoming, live, judging, escalations, and escalations ended.
Show child attributes
Show child attributes
All completed public competitions and bounties.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Number of days since the last completed competition or collaborative review.
The sum of total reward pot of all competitions and bounties.
⌘I